## org.apache.batik.bridge
Class BridgeContext.DOMMouseOverEventListener

    java.lang.Object
      org.apache.batik.bridge.BridgeContext.DOMMouseOverEventListener

All Implemented Interfaces:
  EventListener

Enclosing class:
  BridgeContext

    protected class BridgeContext.DOMMouseOverEventListener

extends java.lang.Object
implements EventListener

The DOM EventListener invoked when the mouse mouves over a new element. Here is how cursors are handled:

Constructor Summary
`BridgeContext.DOMMouseOverEventListener()` Creates a new DOMMouseOverEventListener.

Method Summary
`void` `handleEvent(Event evt)` Handles 'mouseover' MouseEvent event type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BridgeContext.DOMMouseOverEventListener

    public BridgeContext.DOMMouseOverEventListener()

  Creates a new DOMMouseOverEventListener.

Method Detail

### handleEvent

    public void handleEvent(Event evt)

  Handles 'mouseover' MouseEvent event type.

  Specified by:
    `handleEvent` in interface `EventListener`
  Parameters:
    `evt` - The `Event` contains contextual information about the event.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.